Subject: Re: poison ivy

From: "Art Collings" <[email-masked]>
Date: 4 Apr 98 17:51:06 -0500

For treating poison ivy rashes once they are established, French Green Clay
applied as a paste does wonders. 

It works well even for extreme case I had as  result of digging a very long
trench on a hot summer day and getting exposed to the roots, which are very
nasty. 

Poison ivy is of course an important part of the ecosystem, a significant
winter source of food for animals, and a highly beautiful and  plant,
especially in fall. Irradicating it should be limited to zones one and two!

Art